Sign inGet Started

List mTLS certificate authorities

GET
/v1/workspace/mtls-certificate-authorities
curl -X GET "https://us1.platform.bird.com/v1/workspace/mtls-certificate-authorities" \
  -H "Authorization: Bearer $TOKEN"
Respons200
{
  "data": [
    {
      "id": "mtlsca_01krdgeqcxet5s7t44vh8rt9mg",
      "subject": "CN=Example Client CA,O=Example Inc.",
      "fingerprint_sha256": "9f86d081884c7d659a2feaa0c55ad015a3bf4f1b2b0b822cd15d6c15b0f00a08"
    }
  ]
}

Returns the certificate authorities that issue the client certificates of your workspace. A workspace has at most two.

Payload Respons

data
array of object
wajib
Tampilkan atribut turunan
data.id
string
wajib
data.subject
string
wajib

The distinguished name of the certificate authority.

data.fingerprint_sha256
string
wajib

The SHA-256 fingerprint of the certificate, in lowercase hexadecimal.

data.not_before
string
wajib

Start of the validity period of the certificate authority.

data.not_after
string
wajib

End of the validity period of the certificate authority.

data.created_at
string
wajib

When you added the certificate authority.